function [l] = likelihood_L(cue,age,h,noi)
% cue - 1 x #corners; cue = 1 for predicted corners, 0 otherwise
% h - shadowing parameter [ 0 1 ]
% noi - noise parameter

l = cue;

del_P = 1/(age*noi);

sig_P = 1 - (1-((age>=6)-h))*(1-del_P);

l(find(cue>0)) = sig_P;
l(find(cue==0)) = del_P;
